## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iProtoMeshState Struct Reference
[Mesh plugins, Mesh plugins]

This interface describes the API for the proto mesh object. More...

`#include <imesh/protomesh.h>`

Inheritance diagram for iProtoMeshState:

[legend]
List of all members.

## Public Member Functions

virtual const csColor & | GetColor () const =0
| Get the color.
virtual iMaterialWrapper * | GetMaterialWrapper () const =0
| Get material of mesh.
virtual uint | GetMixMode () const =0
| Get mix mode.
virtual void | SetColor (const csColor &col)=0
| Set the base color to use. Will be added to the colors values.
virtual void | SetMaterialWrapper (iMaterialWrapper *material)=0
| Set material of mesh.
virtual void | SetMixMode (uint mode)=0
| Set mix mode.

## Detailed Description

This interface describes the API for the proto mesh object.

Main creators of instances implementing this interface:

- Proto mesh object plugin (crystalspace.mesh.object.protomesh)
- iMeshObjectFactory::NewInstance()

Main ways to get pointers to this interface:

- scfQueryInterface() on iMeshWrapper::GetMeshObject()

Main users of this interface:

- Protomesh Loader plugin (crystalspace.mesh.loader.protomesh)

Definition at line 129 of file protomesh.h.

## Member Function Documentation

virtual const csColor& iProtoMeshState::GetColor | ( |  | ) | const`[pure virtual]`

| Get the color.

virtual iMaterialWrapper* iProtoMeshState::GetMaterialWrapper | ( |  | ) | const`[pure virtual]`

| Get material of mesh.

virtual uint iProtoMeshState::GetMixMode | ( |  | ) | const`[pure virtual]`

| Get mix mode.

virtual void iProtoMeshState::SetColor | ( | const csColor & | col | ) | `[pure virtual]`

| Set the base color to use. Will be added to the colors values.

virtual void iProtoMeshState::SetMaterialWrapper | ( | iMaterialWrapper * | material | ) | `[pure virtual]`

| Set material of mesh.

virtual void iProtoMeshState::SetMixMode | ( | uint | mode | ) | `[pure virtual]`

| Set mix mode.

The documentation for this struct was generated from the following file:

- imesh/protomesh.h